import http from "../utils/http";
let resquest = "/hotel/ihotel-api/ihotel/ihotel/hotelStaff";

// 员工列表
export function hotelStaffList(params) {
  return http.get(`${resquest}/list`, params);
}

// 员工信息
export function hotelStaffInfo(id, params) {
  return http.get(`${resquest}/info/${id}`, params);
}

// 新增员工
export function hotelStaffSave(params) {
  return http.post(`${resquest}/save`, params);
}

// 修改管理员
export function hotelStaffUpdate(data) {
  return http.put(`${resquest}/update`, data);
}

// 删除管理员
export function hotelStaffDelete(data) {
  return http.delete(`${resquest}/delete`, data);
}

// 员工类型和员工
export function departList(params) {
  return http.get(`${resquest}/departList`, params);
}
